Cantera 2.6.0

Variables
Surface Problem Bulk Phase Mode

Functionality expected from the bulk phase. More...

## Variables
const int | BULK_DEPOSITION = 1
| Deposition of a bulk phase is to be expected. More...
const int | BULK_ETCH = 2
| Etching of a bulk phase is to be expected. More...

## Detailed Description

Functionality expected from the bulk phase.

This changes the equations that will be used to solve for the bulk mole fractions.

## Variable Documentation

## ◆ BULK_DEPOSITION

const int BULK_DEPOSITION = 1

Deposition of a bulk phase is to be expected.

Bulk mole fractions are determined from ratios of growth rates of bulk species.

Definition at line 51 of file solveSP.h.

Referenced by solveSP::calcWeights(), solveSP::fun_eval(), solveSP::print_header(), solveSP::resjac_eval(), and solveSP::solveSP().

## ◆ BULK_ETCH

const int BULK_ETCH = 2

Etching of a bulk phase is to be expected.

Bulk mole fractions are assumed constant, and given by the initial conditions. This is also used whenever the condensed phase is part of the larger solution.

Definition at line 56 of file solveSP.h.

Referenced by solveSP::print_header(), and ImplicitSurfChem::solvePseudoSteadyStateProblem().